Update testing lab scenario by ID
curl --request PATCH \
--url https://prod.featherhq.com/api/v1/testing-lab/scenarios/{id} \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"agent": 123,
"assistant_id": "<string>",
"name": "<string>",
"personality": 123,
"instructions": "<string>",
"expected_outcome_prompt": "<string>",
"metrics": [
123
],
"tags": [
"<string>"
],
"tool_ids": [
"<string>"
]
}
'import requests
url = "https://prod.featherhq.com/api/v1/testing-lab/scenarios/{id}"
payload = {
"agent": 123,
"assistant_id": "<string>",
"name": "<string>",
"personality": 123,
"instructions": "<string>",
"expected_outcome_prompt": "<string>",
"metrics": [123],
"tags": ["<string>"],
"tool_ids": ["<string>"]
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
agent: 123,
assistant_id: '<string>',
name: '<string>',
personality: 123,
instructions: '<string>',
expected_outcome_prompt: '<string>',
metrics: [123],
tags: ['<string>'],
tool_ids: ['<string>']
})
};
fetch('https://prod.featherhq.com/api/v1/testing-lab/scenarios/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"name": "<string>",
"agent": 123,
"personality": 123,
"personality_name": "<string>",
"tags": [
"<string>"
],
"runs": [
123
],
"metrics": [
123
],
"metric_names": [
"<string>"
],
"phone_number": "<string>",
"first_message": "<string>",
"inbound_phone_number": 123,
"inbound_phone_number_data": {
"id": 123,
"number": "<string>",
"phone_number_id": "<string>",
"common": "<string>"
},
"instructions": "<string>",
"simulation_description": "<string>",
"information_fields": {},
"expected_outcome_prompt": "<string>",
"scenario_language": "<string>",
"test_profile": 123,
"test_profile_data": {
"id": 123,
"agent": 123,
"name": "<string>",
"information": {}
},
"tool_ids": null
}{
"status": 400,
"message": "Bad request",
"code": "BAD_REQUEST",
"success": false
}{
"status": 404,
"message": "Not found",
"code": "NOT_FOUND",
"success": false
}{
"status": 500,
"message": "Internal server error",
"code": "INTERNAL_SERVER_ERROR",
"success": false
}Testing Lab
Update testing lab scenario by ID
PATCH
/
api
/
v1
/
testing-lab
/
scenarios
/
{id}
Update testing lab scenario by ID
Authorizations
Path Parameters
Body
application/json
Response
Scenario updated successfully
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I